Subject: Re: [PATCH 02/40] wimax: declarations for the in-kernel WiMAX API

From: Inaky Perez-Gonzalez <[email-masked]>
Date: Sat, 6 Dec 2008 17:04:28 -0800

On Friday 05 December 2008, David Miller wrote:
> From: Inaky Perez-Gonzalez <[email-masked]>
> Date: Fri,  5 Dec 2008 10:54:55 -0800
>
> > Declares the main data types and calls for the drivers to integrate
> > into the WiMAX stack. Provides usage documentation.
> >
> > Signed-off-by: Inaky Perez-Gonzalez <[email-masked]>
>
> This does:
>
> +#include <linux/wimax.h>
>
> which doesn't even exist yet.
>
> I understand what you're trying to do, chop things up into manageable
> pieces.  But this is taking it way too far.
>
> It's totally impossible to review this patch on it's own, because none
> of the necessary context exists at this point in the patch series.
>
> I read this and wanted to know what enum wimax_st was, but that is
> impossible to find because of this problem.

That was my mistake, sorry -- I thought I had piled them up in proper
dependency order, but seems I messed up.

> 40 patches is, a lot, and I've now gone through this both in my inbox
> and in my patch queue at patchwork.ozlabs.org 3 times.
>
> You need to compact this a lot more if you want people to
> review it without losing an entire day of their lives doing
> so.

Different people gave me varying feedback on this one--I'll see to compact
it some more and send a v4.

Thanks,

-- 
Inaky